<?php

declare(strict_types=1);

namespace Drupal\ui_suite_bootstrap_starterkit_split\HookHandler;

/**
 * Alter libraries.
 */
class LibraryInfoAlter {

  /**
   * Alter libraries.
   *
   * @param array $libraries
   *   An associative array of libraries, passed by reference.
   * @param string $extension
   *   Can either be 'core' or the machine name of the extension that registered
   *   the libraries.
   */
  public function alter(array &$libraries, string $extension): void {
    if ($extension != 'core') {
      return;
    }

    $css_library = \theme_get_setting('library.css_loading') ?? '';
    // Attach dynamically to components the split CSS.
    if ($css_library != 'ui_suite_bootstrap_starterkit_split/framework') {
      return;
    }

    $libraries['components.ui_suite_bootstrap--accordion']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_accordion';
    $libraries['components.ui_suite_bootstrap--accordion_item']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_accordion';
    $libraries['components.ui_suite_bootstrap--alert']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_alert';
    $libraries['components.ui_suite_bootstrap--badge']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_badge';
    $libraries['components.ui_suite_bootstrap--breadcrumb']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_breadcrumb';
    $libraries['components.ui_suite_bootstrap--button_group']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_button_group';
    $libraries['components.ui_suite_bootstrap--button_toolbar']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_button_group';
    $libraries['components.ui_suite_bootstrap--card']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_card';
    $libraries['components.ui_suite_bootstrap--card_body']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_card';
    $libraries['components.ui_suite_bootstrap--card_group']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_card';
    $libraries['components.ui_suite_bootstrap--card_overlay']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_card';
    $libraries['components.ui_suite_bootstrap--carousel']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_carousel';
    $libraries['components.ui_suite_bootstrap--carousel_item']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_carousel';
    $libraries['components.ui_suite_bootstrap--close_button']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_close_button';
    $libraries['components.ui_suite_bootstrap--dropdown']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_dropdown';
    $libraries['components.ui_suite_bootstrap--dropdown']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_button_group';
    $libraries['components.ui_suite_bootstrap--list_group']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_list_group';
    $libraries['components.ui_suite_bootstrap--list_group_item']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_list_group';
    $libraries['components.ui_suite_bootstrap--modal']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_modal';
    $libraries['components.ui_suite_bootstrap--nav']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_nav';
    $libraries['components.ui_suite_bootstrap--navbar']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_navbar';
    $libraries['components.ui_suite_bootstrap--navbar_nav']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_navbar';
    $libraries['components.ui_suite_bootstrap--offcanvas']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_offcanvas';
    $libraries['components.ui_suite_bootstrap--pagination']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_pagination';
    $libraries['components.ui_suite_bootstrap--progress']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_progress';
    $libraries['components.ui_suite_bootstrap--progress_stacked']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_progress';
    $libraries['components.ui_suite_bootstrap--spinner']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_spinner';
    $libraries['components.ui_suite_bootstrap--table']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_table';
    $libraries['components.ui_suite_bootstrap--table_cell']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_table';
    $libraries['components.ui_suite_bootstrap--table_row']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_table';
    $libraries['components.ui_suite_bootstrap--toast']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_toast';
    $libraries['components.ui_suite_bootstrap--toast_container']['dependencies'][] = 'ui_suite_bootstrap_starterkit_split/component_toast';
  }

}
